Page MenuHomePhabricator

rebuildrecentchanges.inc ignores $wgLogRestrictions, adding private logs to RC
Closed, ResolvedPublic

Description

In RecentChange.php there is code

  1. Don't add private logs to RC! if( isset($wgLogRestrictions[$type] ...

However there is no corresponding code in rebuildrecentchanges.inc.
(or they don't go thru a common interface).
So running it will expose what was meant to be hid.


Version: 1.15.x
Severity: normal

Details

Reference
bz18441

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:35 PM
bzimport set Reference to bz18441.
bzimport added a subscriber: Unknown Object (MLST).
Jidanni created this task.Apr 12 2009, 10:07 PM

Fixed in r49438

Oh no, now it doesn't work at all.

Warning: Invalid argument supplied for foreach() in /home/jidanni/mediawiki/maintenance/rebuildrecentchanges.inc on line 131
發生了一個資料庫查詢語法錯誤。
最後一次的資料庫查詢是:
「INSERT INTO recentchanges (rc_timestamp,rc_cur_time,rc_user,rc_user_text,rc_namespace,rc_title,rc_comment,rc_minor,rc_bot,rc_patrolled,rc_new,rc_this_oldid,rc_last_oldid,rc_type,rc_cur_id,rc_log_type,rc_log_action,rc_logid,rc_params,rc_deleted) SELECT log_timestamp,log_timestamp,log_user,user_name,log_namespace,log_title,log_comment,0,0,1,0,0,0,3,COALESCE(page_id, 0),log_type,log_action,log_id,log_params,log_deleted FROM user,logging LEFT JOIN page ON (log_namespace=page_namespace AND log_title=page_title) WHERE (log_timestamp > '20090114005018') AND (log_user=user_id) AND (log_type IN()) ORDER BY log_timestamp DESC」
來自於函數「rebuildRecentChangesTablePass3」。
MySQL返回錯誤「1064: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')) ORDER BY log_timestamp DESC' at line 1 (mysql.transgender-taiwan.org)」。

demon added a comment.Apr 14 2009, 1:27 AM

Don't have a damn heart attack...it was just a typo. No need for highest priority and a major severity...

Fixed in r49453.